'use strict';
var platform = require('platform');
var ENVIRONMENT_TYPE = 'KiekerBrowserEnvironmentRecord';

var environment = function (kieker) {
	kieker.sendEnvironment = function () {
		kieker.sendProbe({
			name: platform.name,
			operatingSystemName: platform.os.family,
			operatingSystemVersion: platform.os.version,
			type: ENVIRONMENT_TYPE,
			version: platform.version
		});
	};

	return kieker;
};

module.exports = {
	default: environment,
	generateClientCode: function () {
		return `
var adviceEnvironment = require('kieker-javascript-advice-environment').default;
adviceEnvironment(kieker);
kieker.sendEnvironment();
`;
	}
};
